<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Props | FRISE</title>
    <meta name="generator" content="VuePress 1.8.2">
    
    <meta name="description" content="">
    <meta name="theme-color" content="#5d77ff">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    
    <link rel="preload" href="/frise-package/documentation/assets/css/0.styles.0e46e5f3.css" as="style"><link rel="preload" href="/frise-package/documentation/assets/js/app.50779134.js" as="script"><link rel="preload" href="/frise-package/documentation/assets/js/2.5d5c376a.js" as="script"><link rel="preload" href="/frise-package/documentation/assets/js/11.030feeb6.js" as="script"><link rel="prefetch" href="/frise-package/documentation/assets/js/10.7332a41b.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/12.3dd77d1b.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/3.15484a09.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/4.cf2a7ee3.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/5.b88862d9.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/6.730dfb02.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/7.2e6cb6ae.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/8.d8f5fe41.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/9.32b17323.js">
    <link rel="stylesheet" href="/frise-package/documentation/assets/css/0.styles.0e46e5f3.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container"><header class="navbar"><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/frise-package/documentation/" class="home-link router-link-active"><!----> <span class="site-name">FRISE</span></a> <div class="links"><div class="search-box"><input aria-label="Search" autocomplete="off" spellcheck="false" value=""> <!----></div> <nav class="nav-links can-hide"><div class="nav-item"><a href="/frise-package/documentation/documentation/" class="nav-link router-link-active">
  Documentation
</a></div><div class="nav-item"><a href="/frise-package/documentation/example/" class="nav-link">
  Example
</a></div><div class="nav-item"><a href="https://gitlab.com/fabnum-minarm/frise-package/frise" target="_blank" rel="noopener noreferrer" class="nav-link external">
  GitLab
  <span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></div> <!----></nav></div></header> <div class="sidebar-mask"></div> <aside class="sidebar"><nav class="nav-links"><div class="nav-item"><a href="/frise-package/documentation/documentation/" class="nav-link router-link-active">
  Documentation
</a></div><div class="nav-item"><a href="/frise-package/documentation/example/" class="nav-link">
  Example
</a></div><div class="nav-item"><a href="https://gitlab.com/fabnum-minarm/frise-package/frise" target="_blank" rel="noopener noreferrer" class="nav-link external">
  GitLab
  <span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></div> <!----></nav>  <ul class="sidebar-links"><li><section class="sidebar-group depth-0"><p class="sidebar-heading open"><span>Documentation</span> <!----></p> <ul class="sidebar-links sidebar-group-items"><li><a href="/frise-package/documentation/documentation/" aria-current="page" class="sidebar-link">Introduction</a></li><li><a href="/frise-package/documentation/documentation/getstarted.html" class="sidebar-link">Get started</a></li><li><a href="/frise-package/documentation/documentation/props.html" aria-current="page" class="active sidebar-link">Props</a><ul class="sidebar-sub-headers"><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/props.html#data" class="sidebar-link">data</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/props.html#timeconfig" class="sidebar-link">timeConfig</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/props.html#styleconfig" class="sidebar-link">styleConfig</a></li></ul></li><li><a href="/frise-package/documentation/documentation/slots.html" class="sidebar-link">Slots</a></li><li><a href="/frise-package/documentation/documentation/events.html" class="sidebar-link">Events</a></li></ul></section></li></ul> </aside> <main class="page"> <div class="theme-default-content content__default"><h1 id="props"><a href="#props" class="header-anchor">#</a> Props</h1> <p><strong>FRISE component can take 3 props as arguments.</strong></p> <h2 id="data"><a href="#data" class="header-anchor">#</a> data</h2> <p><strong>Pass data to display.</strong></p> <p><strong>Type</strong> :
An array of rows.</p> <p>A row is an Object with the given minimal structure :</p> <div class="language-shell extra-class"><pre class="language-shell"><code>row <span class="token operator">=</span> <span class="token punctuation">{</span>
  id: <span class="token punctuation">(</span>String<span class="token punctuation">)</span>,
  header: <span class="token punctuation">(</span>Object<span class="token punctuation">)</span>,
  blocks: <span class="token punctuation">(</span>Array of blocks<span class="token punctuation">)</span>,
<span class="token punctuation">}</span>
</code></pre></div><p>Header's structure is free, you'll get this plain object to display it as a slot (checkout Slot's section).</p> <p>A block should have this minimal structure :</p> <div class="language-shell extra-class"><pre class="language-shell"><code>block <span class="token operator">=</span> <span class="token punctuation">{</span>
  id: <span class="token punctuation">(</span>String<span class="token punctuation">)</span>,
  start: <span class="token punctuation">(</span>Date<span class="token punctuation">)</span>,
  end: <span class="token punctuation">(</span>Date<span class="token punctuation">)</span>,
<span class="token punctuation">}</span>
</code></pre></div><p><strong>Example</strong> :</p> <div class="language-shell extra-class"><pre class="language-shell"><code>data <span class="token operator">=</span> <span class="token punctuation">[</span>
  <span class="token punctuation">{</span>
    id: <span class="token string">'RowId#1'</span>,
    header: <span class="token punctuation">{</span>
      name: <span class="token string">'A380'</span>,
      type: <span class="token string">'Airplane'</span>
    <span class="token punctuation">}</span>,
    blocks: <span class="token punctuation">[</span>
      <span class="token punctuation">{</span>
        id: <span class="token string">'BlockId#1'</span>,
        start: new Date<span class="token punctuation">(</span>09/09/2021<span class="token punctuation">)</span>,
        end: new Date<span class="token punctuation">(</span>09/10/2021<span class="token punctuation">)</span>,
      <span class="token punctuation">}</span>,
      <span class="token punctuation">{</span>
        id: <span class="token string">'BlockId#2'</span>,
        start: new Date<span class="token punctuation">(</span>09/12/2021<span class="token punctuation">)</span>,
        end: new Date<span class="token punctuation">(</span>09/14/2021<span class="token punctuation">)</span>,
      <span class="token punctuation">}</span>,
    <span class="token punctuation">]</span>,
  <span class="token punctuation">}</span>,
<span class="token punctuation">]</span>
</code></pre></div><p><strong>By default</strong> : <code>data = []</code>.</p> <h2 id="timeconfig"><a href="#timeconfig" class="header-anchor">#</a> timeConfig</h2> <p><strong>Specify time structure.</strong></p> <p><strong>Type</strong> :
An Object containing 3 properties :</p> <table><thead><tr><th>Name</th> <th>Property</th> <th>Type</th> <th>Default value</th></tr></thead> <tbody><tr><td><strong>baseUnit</strong></td> <td>time axis' unit</td> <td><em>String</em></td> <td>'day'</td></tr> <tr><td><strong>timeAxisStartRule</strong></td> <td>function to calculate time axis' starting date</td> <td><em>Function</em></td> <td>start of week</td></tr> <tr><td><strong>totalUnit</strong></td> <td>number of base units to display</td> <td><em>Int</em></td> <td>14</td></tr></tbody></table> <p><strong>Example</strong> :</p> <div class="language-shell extra-class"><pre class="language-shell"><code>timeConfig <span class="token operator">=</span> <span class="token punctuation">{</span>
  baseUnit: <span class="token string">'week'</span>,
  timeAxisStartRule: <span class="token keyword">function</span> initTimeAxisStartRule<span class="token punctuation">(</span>referenceDateDJS<span class="token punctuation">)</span> <span class="token punctuation">{</span>
    <span class="token builtin class-name">return</span> referenceDateDJS.subtract<span class="token punctuation">(</span><span class="token number">1</span>, <span class="token string">'week'</span><span class="token punctuation">)</span>.startOf<span class="token punctuation">(</span><span class="token string">'week'</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
  <span class="token punctuation">}</span>,
  totalUnits: <span class="token number">8</span>,
<span class="token punctuation">}</span>
</code></pre></div><p>This will display 8 weeks, starting the week before selected/current week.</p> <p><strong>By default</strong> :  <code>timeConfig = { baseUnit: 'day', timeAxisStartRule: function initTimeAxisStartRule(referenceDateDJS) { return referenceDateDJS.startOf('week'); }, totalUnits: 14, }</code>.</p> <h2 id="styleconfig"><a href="#styleconfig" class="header-anchor">#</a> styleConfig</h2> <p><strong>Specify style structure.</strong></p> <p><strong>Type</strong> :
An Object containing 4 properties :</p> <table><thead><tr><th>Name</th> <th>Property</th> <th>Type</th> <th>Default value</th></tr></thead> <tbody><tr><td><strong>firstColumnWidth</strong></td> <td>width of row's first column (px)</td> <td><em>Int</em></td> <td>10</td></tr> <tr><td><strong>rowHeight</strong></td> <td>height of each row - (px)</td> <td><em>Int</em></td> <td>75</td></tr> <tr><td><strong>grid</strong></td> <td>display sub grid in a base unit</td> <td><em>Boolean</em></td> <td>true</td></tr> <tr><td><strong>gridSubdivisions</strong> <em>(optional)</em></td> <td>number of subdivisions in a base unit</td> <td><em>Int</em></td> <td>3</td></tr></tbody></table> <p><strong>Example</strong> :</p> <div class="language-shell extra-class"><pre class="language-shell"><code>timeConfig <span class="token operator">=</span> <span class="token punctuation">{</span>
  firstColumnWidth: <span class="token number">30</span>,
  rowHeight: <span class="token number">25</span>,
  grid: false,
<span class="token punctuation">}</span>
</code></pre></div><p>This will not display any sub grid to the chart.</p> <p><strong>By default</strong> :  <code>styleConfig = { firstColumnWidth: 10, rowHeight: 75, grid: true, gridSubdivisions: 3, }</code>.</p></div> <footer class="page-edit"><!----> <!----></footer> <div class="page-nav"><p class="inner"><span class="prev">
      ←
      <a href="/frise-package/documentation/documentation/getstarted.html" class="prev">
        Get started
      </a></span> <span class="next"><a href="/frise-package/documentation/documentation/slots.html">
        Slots
      </a>
      →
    </span></p></div> </main></div><div class="global-ui"></div></div>
    <script src="/frise-package/documentation/assets/js/app.50779134.js" defer></script><script src="/frise-package/documentation/assets/js/2.5d5c376a.js" defer></script><script src="/frise-package/documentation/assets/js/11.030feeb6.js" defer></script>
  </body>
</html>
